dotnet-tool-uninstall(1)

dotnet tool uninstall

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-tool-uninstall - Uninstalls the specified .NET tool from your machine.

SYNOPSIS

    dotnet tool uninstall <PACKAGE_NAME> -g|--global
    dotnet tool uninstall <PACKAGE_NAME> --tool-path <PATH> [--tool-manifest <PATH>]
    dotnet tool uninstall <PACKAGE_NAME>
    dotnet tool uninstall -h|--help

DESCRIPTION

The dotnet tool uninstall command provides a way for you to uninstall .NET tools from your machine. To use the command, you specify one of the following options:

•   To uninstall a global tool that was installed in the default location, use the --global option.

•   To uninstall a global tool that was installed in a custom location, use the --tool-path option.

•   To uninstall a local tool, omit the --global and --tool-path options.

ARGUMENTS

•   PACKAGE_NAME

    Name/ID of the NuGet package that contains the .NET tool to uninstall. You can find the package name using the dotnet tool list command.

OPTIONS

•   -g|--global

    Specifies that the tool to be removed is from a user-wide installation. Can’t be combined with the --tool-path option. Omitting both --global and --tool-path specifies that the tool to be removed is a local tool.

•   -?|-h|--help

    Prints out a description of how to use the command.

•   --tool-path <PATH>

    Specifies the location where to uninstall the tool. PATH can be absolute or relative. Can’t be combined with the --global option. Omitting both --global and --tool-path specifies that the tool to be removed is a local tool.

•   --tool-manifest <PATH>

    Specifies the manifest file that the tool is to be removed from. PATH can be absolute or relative. Can’t be combined with the --global option.

EXAMPLES

•   dotnet tool uninstall -g dotnetsay

    Uninstalls the dotnetsay (https://www.nuget.org/packages/dotnetsay/) global tool.

•   dotnet tool uninstall dotnetsay --tool-path c:\global-tools

    Uninstalls the dotnetsay (https://www.nuget.org/packages/dotnetsay/) global tool from a specific Windows directory.

•   dotnet tool uninstall dotnetsay --tool-path ~/bin

    Uninstalls the dotnetsay (https://www.nuget.org/packages/dotnetsay/) global tool from a specific Linux/macOS directory.

•   dotnet tool uninstall dotnetsay

    Uninstalls the dotnetsay (https://www.nuget.org/packages/dotnetsay/) local tool from the current directory.

SEE ALSO

•   .NET tools

•   Tutorial: Install and use a .NET global tool using the .NET CLI

•   Tutorial: Install and use a .NET local tool using the .NET CLI